El Foro

Diablo 3 authorization problem

Autor Respuestas
mikiwaw Tuesday 12 June 2012 at 18:50
mikiwawAnonymous

Hello!

-Ubuntu 12.04 64bit

-wine1.4 1.4-0ubuntu4

-playonlinux 4.0.14-1


I installed Diablo III via PlayOnLinux. When I try to log in on my account, it stops on "authorization". Game is still running and I can just cancel it, no freeze etc. 

Thank you in advance for your assistance.

Editado por: mikiwaw

Quentin PÂRIS Tuesday 12 June 2012 at 19:27
Quentin PÂRIS
Admin

Please update PlayOnLinux to the latest version first. Then, don't use wine 1.4 but the wine version we provide for diablo III
mikiwaw Tuesday 12 June 2012 at 19:44
mikiwawAnonymous

I did it, but it still happens. Also now when I start PlayOnLinux it shows this:
"
PlayOnLinux cannot find 7z.

You should install it to use PlayOnLinux.

"

Thx for answer, anyway.

Editado por: mikiwaw

aurelienbis Tuesday 12 June 2012 at 21:45
aurelienbisAnonymous

Install 7z (7 zip) then.
And before launching game you have to type in a terminal :

sudo sysctl kernel.yama.ptrace_scope=0
lacton Saturday 7 July 2012 at 19:10
lactonAnonymous

$sudo sysctl kernel.yama.ptrace_scope=0
error: "kernel.yama.ptrace_scope" is an unknown key

What is the equivalent of this command for Mandriva?
Quentin PÂRIS Saturday 7 July 2012 at 21:52
Quentin PÂRIS
Admin

$sudo sysctl kernel.yama.ptrace_scope=0
error: "kernel.yama.ptrace_scope" is an unknown key

What is the equivalent of this command for Mandriva?

Quote from lacton


It means that you don't need this command.
lacton Sunday 8 July 2012 at 13:24
lactonAnonymous

Thank you Quentin for this precision. One thing less to worry about. :-)

Still, I get the dreaded log-in freeze. How can I run PoL in a more verbose mode to identify the cause? Using the Debug command, I get only lines of << Handle Event: "auth validation event" >> when the freeze happens.
Quentin PÂRIS Sunday 8 July 2012 at 15:45
Quentin PÂRIS
Admin

If you have a AMD card, you have to update your driver to the latest version to prevent your system from freezing
tnt533 Thursday 23 August 2012 at 21:35
tnt533Anonymous

Just a thought... I was experiencing the same issues with freezes and realized through lots of googling, trial and error that you need to have the proprietary fglrx from ATI installed to get anything resembling good stable performance with both POL and wine, not just the "latest version" which could be easily misconstrued as meaning the latest binary driver from {enter distribution repository here}. In my case Ubuntu.

So for those with ATI cards reading this and having issues, install the driver downloaded from the ATI website and try again.


lacton Sunday 6 January 2013 at 19:37
lactonAnonymous

Updating the AMD driver to the latest version (12.6) fixed the log-in freeze. Thanks!